POST
/entity/fundFund an account
Bring external money into an account (a deposit). Posted immediately against the program's external account.
Required Attributes
amountintegerrequired
Amount in minor units
Example: 5000000
entity_idstringrequired
Account to credit
Example: "ent_treasury"
descriptionstring
Statement description
Example: "Wire in"
Request
POST/entity/fund
curl --location 'https://api.ledgr.dev/v1/entity/fund' \
--header 'Authorization: {api_key}' \
--header 'Content-Type: application/json' \
--data '{
"amount": 5000000,
"entity_id": "ent_treasury",
"description": "Wire in"
}'Response
The resulting posted credit
{
"status": "success",
"transaction": {
"credit": {
"amount": 5000000,
"status": "posted",
"direction": "credit",
"entity_id": "ent_treasury",
"transaction_id": "trx_1",
"transaction_group_id": "trx-grp_..."
}
}
}